Bug 740224 - Enabling MySQL InnoDB Plugin
Summary: Enabling MySQL InnoDB Plugin
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: mysql
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Tom Lane
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-21 10:36 UTC by hiratsuka.sadao
Modified: 2018-11-27 21:14 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Red Hat Enterprise Linux 6.3 provides the MySQL InnoDB storage engine as a plug-in for AMD64 and Intel 64 architectures. The plugin offers additional features and better performance than the built-in InnoDB storage engine.
Clone Of:
Environment:
Last Closed: 2012-06-20 07:02:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0874 normal SHIPPED_LIVE Low: mysql security and enhancement update 2012-06-19 19:28:53 UTC

Description hiratsuka.sadao 2011-09-21 10:36:33 UTC
Description of problem:

MySQL InnoDB Plugin was disabled at MySQL 5.1.42-4.

| * Fri Jan  8 2010 Tom Lane <tgl@redhat.com> 5.1.42-4
| - Disable building the innodb plugin; it tickles assorted gcc bugs and
|   doesn't seem entirely ready for prime time anyway.

But InnoDB Plugin became GA at MySQL 5.1.46,
and in MySQL 5.1.52 (RHEL6 uses) it has been upgraded to 1.0.13.

http://dev.mysql.com/doc/refman/5.1/en/news-5-1-46.html
http://dev.mysql.com/doc/refman/5.1/en/news-5-1-52.html

So I think now InnoDB Plugin has production quality.

InnoDB Plugin has many usable features and good performance,
so I want to use it in RHEL 6.2 or later.

Thanks,

Version-Release number of selected component (if applicable):
5.1.52

Comment 2 RHEL Product and Program Management 2011-09-21 11:08:28 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 13 Denise Dumas 2012-03-27 14:14:27 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The InnoDB plugin) is supported only on 
the x86 and x86_64 architectures.

Comment 14 Martin Prpič 2012-04-02 11:42:13 UTC
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,2 +1 @@
-The InnoDB plugin) is supported only on 
+Red Hat Enterprise Linux 6.3 provides the MySQL InnoDB storage engine as a plug-in for AMD64 and Intel 64 architectures. The plugin offers additional features and better performance than the built-in InnoDB storage engine.-the x86 and x86_64 architectures.

Comment 16 errata-xmlrpc 2012-06-20 07:02:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0874.html


Note You need to log in before you can comment on or make changes to this bug.